Bug 200873 - Fix jbd to allow CONFIG_DEBUG_SLAB be switched back on for xen
Summary: Fix jbd to allow CONFIG_DEBUG_SLAB be switched back on for xen
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-01 06:55 UTC by Mark McLoughlin
Modified: 2009-12-14 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:14:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark McLoughlin 2006-08-01 06:55:45 UTC
See bug #200127

While installing a Xen guest, we were seeing
fs/jbd/transaction.c:do_get_write_access() allocate a buffer which spanned a
page boundary:

    frozen_buffer = jbd_kmalloc(jh2bh(jh)->b_size, GFP_NOFS);

This later caused problems for xen's blkfront/blkback drivers which can't handle
such a buffer

For now we've disabled CONFIG_DEBUG_SLAB with Xen, but it looks like the real
fix is for jbd to always allocate properly aligned buffers even when
CONFIG_DEBUG_SLAB is enabled.

Comment 1 Red Hat Bugzilla 2007-07-25 01:32:20 UTC
change QA contact

Comment 2 Chris Lalancette 2008-02-26 23:14:01 UTC
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.